欢迎光临
我们一直在努力

phpcms V9非超级管理员修改栏目提示权限错误的解决办法

BUG原因:
V9在判断权限的时候只判断admin_role_priv表中所记录的权限。也就是我们在设置角色的时候所进行的“权限设置”,而不考虑我们所设置的“栏目权限”。由admin:check_priv() 在可以看出,该方法没有对栏目权限作任何考虑。所以当我们使用非超管登录时,修改栏目或删除栏目就会提示“您没有权限操作该项”。

解决办法:
1、找到/phpcms/modules/admin/classes/admin.class.php
2、查找:

$r =$privdb->get_one
(array('m'=>ROUTE_M,'c'=>ROUTE_C,'a'=>$action,'roleid'=>$_SESSION['roleid'],'siteid'=>$siteid));

大概在:169行。
然后在该句下面加上:

/**====phpcmsV9非超级管理员修改栏目权限错误 Add======*/
if(ROUTE_C == 'category'){
du_catid =_GET['catid'] ? _GET['catid'] :_POST['catid'];
//获取角色当前权限设置
pc_base::load_app_class('role_cat', '', 0);
priv = role_cat::get_roleid(_SESSION['roleid'], siteid);
if(priv[du_catid][action]) $r = true;

}
/**====phpcmsV9非超级管理员修改栏目权限错误 End======*/

问题即可得到解决!

赞(0)
未经允许不得转载:飘云 » phpcms V9非超级管理员修改栏目提示权限错误的解决办法
分享到: 更多 (0)